[OSM-dev] Osmosis pk_users (was Re: Postgres - installing gist?)

Thomas Wood grand.edgemaster at gmail.com
Sun Apr 26 19:22:50 BST 2009


2009/4/26 Richard Fairhurst <richard at systemed.net>:
>
> Shaun McDonald wrote:
>> If you used the installer for Mac OS X the file is located at:
>> [...]
>
> Brilliant, thanks. :)
>
> I'm now having problems trying to populate the db from a planet file using
> Osmosis:
>
> osmosis --read-xml-0.6 file="great_britain.osm.bz2" --write-pgsql-0.6
> host="localhost" database="openstreetmap" user="openstreetmap"
> password="openstreetmap" validateSchemaVersion=no
>
> gives this error:
>
> SEVERE: Thread for task 1-read-xml-0.6 failed
> com.bretth.osmosis.core.OsmosisRuntimeException: Unable to execute
> statement.
> [...]
> Caused by: org.postgresql.util.PSQLException: ERROR: constraint "pk_users"
> does not exist
>
> Any Osmosis experts know what I'm doing wrong?
>
> cheers
> Richard

I think the pgsql commands still target the pre-0.6 osmosis-specific
PostGIS schema, brett began introducing the apidb command set as a
copy of the existing mysql ones and then modifying to use postgres.
See r14515 onwards here -
http://trac.openstreetmap.org/log/applications/utils/osmosis

-- 
Regards,
Thomas Wood
(Edgemaster)




More information about the dev mailing list